All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components.piechart
Class OtherThreshold

    com.sas.graphics.components.piechart.OtherThreshold

All Implemented Interfaces:
  com.sas.measures.MeasureInterface, com.sas.PublicClonable, java.io.Serializable, java.lang.Cloneable

    @SASScope(value="ALL")
    public class OtherThreshold

Since:
  SAS 9.1
See Also:
  `PieChartModel`, Serialized Form

Field Summary

Fields inherited from class com.sas.measures.Measure
`DISPLAY_FORMAT_NOSPACE_BETWEEN_MAGNITUDE_AND_UNIT, DISPLAY_FORMAT_SPACE_BETWEEN_MAGNITUDE_AND_UNIT, displayFormat, locale, magnitude, RB_KEY`

Constructor Summary
`OtherThreshold(double pct)` Constructs an OtherThreshold object from a measure of percent
`OtherThreshold(double magnitude, java.lang.String unit)` Constructs an OtherThreshold object from the specified magnitude and unit
`OtherThreshold(java.lang.String text)` Constructs an OtherThreshold object from a string consisting of a numeric value and unit.

Method Summary
`double` | `getMagnitude(java.lang.Object unit)` Returns an equivalent magnitude of the current threshold in terms of the specified unit.
`java.lang.Object` | `getUnit()` Returns the abbreviated name of the unit property.
`java.lang.String` | `getUnitName()` Returns the full name value of the unit property.
`protected void` | `initializeUnit(java.lang.Object unit)` Initializes a unit.
`boolean` | `validateUnit(java.lang.String unit)` Returns true if the specified unit is a supported unit of measure, false otherwise.

Methods inherited from class com.sas.measures.Measure
`_init, clone, equals, equals, getMagnitude, hashCode, toString`

Constructor Detail

### OtherThreshold

    public OtherThreshold(double magnitude,
                          java.lang.String unit)

  Constructs an OtherThreshold object from the specified magnitude and unit

  Parameters:
    `magnitude` - numeric value of the measurement
    `unit` - how to interpret the magnitude
  Throws:
    `java.lang.IllegalArgumentException` - if the unit is not a supported unit

### OtherThreshold

    public OtherThreshold(java.lang.String text)

  Constructs an OtherThreshold object from a string consisting of a numeric value and unit.

  Parameters:
    `text` - a string consisting of a number, some whitespace, and a supported units token, such as "10 slices" or "2.5 percent"
  Throws:
    `java.lang.IllegalArgumentException` - if the unit is not a supported unit

### OtherThreshold

    public OtherThreshold(double pct)

  Constructs an OtherThreshold object from a measure of percent

  Parameters:
    `pct` -

Method Detail

### getMagnitude

    public double getMagnitude(java.lang.Object unit)

  Returns an equivalent magnitude of the current threshold in terms of the specified unit.

  Specified by:
    `getMagnitude` in interface `com.sas.measures.MeasureInterface`
  Specified by:
    `getMagnitude` in class `com.sas.measures.Measure`
  Parameters:
    `unit` - the unit to convert to
  Returns:
    the value of the current magnitude converted into the specified unit
  Throws:
    `java.lang.IllegalArgumentException` - if the unit is not supported

### getUnit

    public java.lang.Object getUnit()

  Returns the abbreviated name of the unit property. For example, "in" for inch and "cm" for centimeter.

  Specified by:
    `getUnit` in interface `com.sas.measures.MeasureInterface`
  Specified by:
    `getUnit` in class `com.sas.measures.Measure`
  Returns:
    unit of measure of the measurement

### getUnitName

    public java.lang.String getUnitName()

  Returns the full name value of the unit property. This is the full name of the unit of measure

  Specified by:
    `getUnitName` in interface `com.sas.measures.MeasureInterface`
  Specified by:
    `getUnitName` in class `com.sas.measures.Measure`
  Returns:
    unit of measure of the measurement

### initializeUnit

    protected void initializeUnit(java.lang.Object unit)

  Initializes a unit. This is called by the superclass when a new Distance object is being constructed. This method should only be called while an object is being constructed.

  Specified by:
    `initializeUnit` in class `com.sas.measures.Measure`
  Parameters:
    `unit` - the unit to initialize
  Throws:
    `java.lang.IllegalArgumentException` - if the unit is not a supported unit of measure

### validateUnit

    public boolean validateUnit(java.lang.String unit)

  Returns true if the specified unit is a supported unit of measure, false otherwise.

  Parameters:
    `unit` - the unit of measure to validate

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.